Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 16753

Description

From src/providers/gdal/qgsgdalprovider.cpp , line 2278, we can read that a warped VRT is automatically generated by QGis if one of the

following condition holds on the raster input :

- No geo transform,

- Pixel size x < 0,

- Pixel size y > 0,

- Rotated raster,

- Raster with GCPs.

If the input raster has one of these properties, a warped VRT will be generated by QGis and there is nothing that can be done to prevent

it. However, when such a warped VRT is generated, QGis will ignore any multi-resolution pyramid (or overview files) available with this

raster, and QGis will also prevent the user from generating manually pyramids from the layer properties dialog (Message about gdal

driver not supporting overviews, even if the input raster is actually geotiff).

As a result, large rasters with one of the properties listed above can not be used properly in Qgis.

Here is the corresponding piece of code from qgsgdalprovider.cpp :

bool hasGeoTransform = GDALGetGeoTransform( mGdalBaseDataset, mGeoTransform ) == CE_None;

  if (( hasGeoTransform

        && ( mGeoTransform[1] < 0.0

           || mGeoTransform[2] != 0.0

           || mGeoTransform[4] != 0.0

           || mGeoTransform[5] > 0.0 ) )

    || GDALGetGCPCount( mGdalBaseDataset ) > 0 )

{

    QgsLogger::warning( "Creating Warped VRT." );

mGdalDataset = GDALAutoCreateWarpedVRT( mGdalBaseDataset, NULL, NULL,

                               GRA_NearestNeighbour, 0.2, NULL );

History

#1 - 2013-08-27 07:28 AM - Rashad Kanavath

any update?

#2 - 2017-05-01 01:09 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No
#3 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
